Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.serialize
Class EncodingInfo

    java.lang.Object
      |
      +--weblogic.apache.xalan.serialize.EncodingInfo

public class EncodingInfo
extends java.lang.Object

Holds information about a given encoding.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`EncodingInfo(java.lang.String name, java.lang.String javaName, int lastPrintable)` Create an EncodingInfo object based on the name, java name, and the max character size.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodingInfo

    public EncodingInfo(java.lang.String name,
                        java.lang.String javaName,
                        int lastPrintable)

  Create an EncodingInfo object based on the name, java name, and the max character size.

  Parameters:
    `name` - non-null reference to the ISO name.
    `javaName` - non-null reference to the Java encoding name.
    `lastPrintable` - The maximum character that can be written.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference